Package ghidra.pty.macos

# Enum Class MacosPtyFactory

java.lang.Object
java.lang.Enum<MacosPtyFactory>
ghidra.pty.macos.MacosPtyFactory

All Implemented Interfaces:
  `PtyFactory`, `Serializable`, `Comparable<MacosPtyFactory>`, `Constable`

public enum MacosPtyFactory extends Enum<MacosPtyFactory> implements PtyFactory

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `INSTANCE`

- ## Field Summary

  ### Fields inherited from interface ghidra.pty.PtyFactory

  `DEFAULT_COLS, DEFAULT_ROWS`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDescription()`
  Get a human-readable description of the factory
  `Pty`
  `openpty(short cols, short rows)`
  Open a new pseudo-terminal
  `static MacosPtyFactory`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static MacosPtyFactory[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ghidra.pty.PtyFactory

  `openpty, openpty`

- ## Enum Constant Details

  - ### INSTANCE

    public static final MacosPtyFactory INSTANCE

- ## Method Details

  - ### values

    public static MacosPtyFactory[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static MacosPtyFactory valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### openpty

    public Pty openpty(short cols, short rows) throws IOException
    Description copied from interface: `PtyFactory`
    Open a new pseudo-terminal
    Specified by:
      `openpty` in interface `PtyFactory`
    Parameters:
      `cols` - the initial width in characters, or 0 to let the system decide both dimensions
      `rows` - the initial height in characters, or 0 to let the system decide both dimensions
    Returns:
      new new Pty
    Throws:
      `IOException` - for an I/O error, including cancellation

  - ### getDescription

    public String getDescription()
    Description copied from interface: `PtyFactory`
    Get a human-readable description of the factory
    Specified by:
      `getDescription` in interface `PtyFactory`
    Returns:
      the description